Bug 827573 - [abrt] control-center-3.4.1-1.fc17: Process /usr/bin/gnome-control-center was killed by signal 11 (SIGSEGV)
[abrt] control-center-3.4.1-1.fc17: Process /usr/bin/gnome-control-center was...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: control-center (Show other bugs)
17
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Control Center Maintainer
Fedora Extras Quality Assurance
abrt_hash:a89d3dfe6048baa463b9c554634...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-01 15:12 EDT by Reinier Balt
Modified: 2013-07-31 18:20 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 18:20:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (48.55 KB, text/plain)
2012-06-01 15:12 EDT, Reinier Balt
no flags Details
File: smolt_data (4.19 KB, text/plain)
2012-06-01 15:12 EDT, Reinier Balt
no flags Details
File: maps (85.33 KB, text/plain)
2012-06-01 15:12 EDT, Reinier Balt
no flags Details
File: dso_list (18.08 KB, text/plain)
2012-06-01 15:12 EDT, Reinier Balt
no flags Details
File: build_ids (7.89 KB, text/plain)
2012-06-01 15:12 EDT, Reinier Balt
no flags Details

  None (edit)
Description Reinier Balt 2012-06-01 15:12:10 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        gnome-control-center online-accounts
executable:     /usr/bin/gnome-control-center
kernel:         3.3.4-5.fc17.i686
pid:            1791
pwd:            /home/rbalt
time:           Fri 01 Jun 2012 08:32:38 PM CEST
uid:            1000
username:       rbalt
var_log_messages: Jun  1 20:32:40 vmlinux17 abrt[1845]: Saved core dump of pid 1791 (/usr/bin/gnome-control-center) to /var/spool/abrt/ccpp-2012-06-01-20:32:38-1791 (37109760 bytes)

backtrace:      Text file, 49720 bytes
build_ids:      Text file, 8077 bytes
dso_list:       Text file, 18515 bytes
maps:           Text file, 87379 bytes
smolt_data:     Text file, 4288 bytes

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/rbalt/2

comment:
:I wanted to change the format to Netherlands. Since it is not in the first list, I hit + and typed Netherlands in the list:
:
:system-settings -> region and language -> tab format -> hit + -> type 'netherlands' while the list is being populated -> crash
:
:I can select Netherlands (typing too) when the list is completely populated. Since it takes a long time to populated this list you hit the bug often I think.

core_backtrace:
:f13e5fa699a7129ee3080ddeb31558ef7578cddb 0x950aa __strstr_ia32 libc.so.6 -
:0debc50867d5a228fb53c476ec3eb1c1803e757e 0x103ca - libregion.so -
:ad9e27665744b5e0f27506032bcfd11acc11a16c 0x28f601 - libgtk-3.so.0 -
:ad9e27665744b5e0f27506032bcfd11acc11a16c 0x29482b - libgtk-3.so.0 -
:ad9e27665744b5e0f27506032bcfd11acc11a16c 0x18a621 - libgtk-3.so.0 -
:72a78e5847730928a002fd2c9719c4258a54e265 0xcda7 g_closure_invoke libgobject-2.0.so.0 -
:72a78e5847730928a002fd2c9719c4258a54e265 0x1eacd - libgobject-2.0.so.0 -
:72a78e5847730928a002fd2c9719c4258a54e265 0x26d81 g_signal_emit_valist libgobject-2.0.so.0 -
:72a78e5847730928a002fd2c9719c4258a54e265 0x26f08 g_signal_emit libgobject-2.0.so.0 -
:ad9e27665744b5e0f27506032bcfd11acc11a16c 0x28e652 gtk_tree_model_row_inserted libgtk-3.so.0 -
:ad9e27665744b5e0f27506032bcfd11acc11a16c 0x182271 gtk_list_store_insert libgtk-3.so.0 -
:ad9e27665744b5e0f27506032bcfd11acc11a16c 0x182882 gtk_list_store_append libgtk-3.so.0 -
:0debc50867d5a228fb53c476ec3eb1c1803e757e 0xf441 - libregion.so -
:e0185ee9a89ad3f701e8fa2c658e242b453d4d2b 0x12adf - libgdk-3.so.0 -
:e22e1e456283c0cdf171447a61c4f04e354f8b2a 0x44931 - libglib-2.0.so.0 -
:e22e1e456283c0cdf171447a61c4f04e354f8b2a 0x46f11 g_main_context_dispatch libglib-2.0.so.0 -
:e22e1e456283c0cdf171447a61c4f04e354f8b2a 0x47390 - libglib-2.0.so.0 -
:e22e1e456283c0cdf171447a61c4f04e354f8b2a 0x47472 g_main_context_iteration libglib-2.0.so.0 -
:dcc657d139ae8e1376df57b844635277883e75b8 0x98b84 g_application_run libgio-2.0.so.0 -
:583b37fe1965a59959275c26936af9d9d4b5fad2 0x5d11 main [exe] -

environ:
:XDG_VTNR=2
:XDG_SESSION_ID=2
:HOSTNAME=vmlinux17
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:GNOME_KEYRING_CONTROL=/run/user/rbalt/keyring-aZanQA
:IMSETTINGS_MODULE=none
:USER=rbalt
:USERNAME=rbalt
:MAIL=/var/spool/mail/rbalt
:PATH=/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/home/rbalt/.local/bin:/home/rbalt/bin
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/rbalt
:XMODIFIERS=@im=none
:GNOME_KEYRING_PID=895
:LANG=en_US.UTF-8
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:XDG_SEAT=seat0
:HOME=/home/rbalt
:SHLVL=1
:LOGNAME=rbalt
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-6vQhfToGBp,guid=cfcff06aabd97143619a20c4000004c6
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=2
:XDG_RUNTIME_DIR=/run/user/rbalt
:DISPLAY=:0
:XAUTHORITY=/var/run/gdm/auth-for-rbalt-6gXKVk/database
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/897,unix/unix:/tmp/.ICE-unix/897
:SSH_AUTH_SOCK=/run/user/rbalt/keyring-aZanQA/ssh
:GPG_AGENT_INFO=/run/user/rbalt/keyring-aZanQA/gpg:0:1
:GJS_DEBUG_OUTPUT=stderr
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/gnome-online-accounts-panel.desktop
:GIO_LAUNCHED_DESKTOP_FILE_PID=1791
:DESKTOP_STARTUP_ID=gnome-shell-1112-vmlinux17-gnome-control-center-3_TIME1571580

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 10497                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       10497                10497                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/null
:pos:	0
:flags:	0100000
:1:/home/rbalt/.xsession-errors
:pos:	19756
:flags:	02002
:2:/home/rbalt/.xsession-errors
:pos:	19756
:flags:	02002
:3:socket:[22207]
:pos:	0
:flags:	02004002
:4:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:5:socket:[21199]
:pos:	0
:flags:	02004002
:6:anon_inode:inotify
:pos:	0
:flags:	02004000
:7:socket:[22210]
:pos:	0
:flags:	02004002
:8:/dev/dri/card0
:pos:	0
:flags:	02
:9:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:10:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:11:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:12:socket:[22212]
:pos:	0
:flags:	02004002
:13:anon_inode:[eventfd]
:pos:	0
:flags:	02004002

xsession_errors:
:(gnome-control-center:1791): GLib-CRITICAL **: g_utf8_casefold: assertion `str != NULL' failed
:(gnome-control-center:1885): GLib-CRITICAL **: g_utf8_casefold: assertion `str != NULL' failed
:(gnome-control-center:13085): region-cc-panel-WARNING **: Failed to contact localed: Error calling StartServiceByName for org.freedesktop.locale1: GDBus.Error:org.freedesktop.systemd1.LoadFailed: Unit var-run.mount failed to load: No such file or directory. See system logs and 'systemctl status var-run.mount' for details.
Comment 1 Reinier Balt 2012-06-01 15:12:14 EDT
Created attachment 588565 [details]
File: backtrace
Comment 2 Reinier Balt 2012-06-01 15:12:16 EDT
Created attachment 588566 [details]
File: smolt_data
Comment 3 Reinier Balt 2012-06-01 15:12:19 EDT
Created attachment 588567 [details]
File: maps
Comment 4 Reinier Balt 2012-06-01 15:12:21 EDT
Created attachment 588568 [details]
File: dso_list
Comment 5 Reinier Balt 2012-06-01 15:12:23 EDT
Created attachment 588569 [details]
File: build_ids
Comment 6 Fedora End Of Life 2013-07-03 17:20:18 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Fedora End Of Life 2013-07-31 18:20:23 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.